List telemetry capabilities
curl --request GET \
--url https://my.orq.ai/v3/telemetry/capabilities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v3/telemetry/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v3/telemetry/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sources": [
{
"source": "TELEMETRY_SOURCE_UNSPECIFIED",
"label": "<string>",
"metrics": [
{
"name": "<string>",
"label": "<string>",
"description": "<string>",
"unit": "<string>",
"operations": [
"<string>"
],
"default_operation": "<string>",
"modes": [
"TELEMETRY_QUERY_MODE_UNSPECIFIED"
],
"result_kinds": [
"TELEMETRY_RESULT_KIND_UNSPECIFIED"
],
"value_cardinality": "TELEMETRY_VALUE_CARDINALITY_UNSPECIFIED",
"dimensions": [
{
"name": "<string>",
"label": "<string>",
"type": "<string>",
"groupable": true,
"filter_operators": [
"<string>"
],
"key_prefix": "<string>"
}
],
"dimension_sets": [
{
"name": "<string>",
"group_by": [
"<string>"
],
"filters": [
"<string>"
]
}
]
}
]
}
]
}Telemetry
List telemetry capabilities
Lists the caller-scoped metrics, operations, units, query modes, result kinds, dimensions, and filter operators supported by the unified telemetry query service.
GET
/
v3
/
telemetry
/
capabilities
List telemetry capabilities
curl --request GET \
--url https://my.orq.ai/v3/telemetry/capabilities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v3/telemetry/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v3/telemetry/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sources": [
{
"source": "TELEMETRY_SOURCE_UNSPECIFIED",
"label": "<string>",
"metrics": [
{
"name": "<string>",
"label": "<string>",
"description": "<string>",
"unit": "<string>",
"operations": [
"<string>"
],
"default_operation": "<string>",
"modes": [
"TELEMETRY_QUERY_MODE_UNSPECIFIED"
],
"result_kinds": [
"TELEMETRY_RESULT_KIND_UNSPECIFIED"
],
"value_cardinality": "TELEMETRY_VALUE_CARDINALITY_UNSPECIFIED",
"dimensions": [
{
"name": "<string>",
"label": "<string>",
"type": "<string>",
"groupable": true,
"filter_operators": [
"<string>"
],
"key_prefix": "<string>"
}
],
"dimension_sets": [
{
"name": "<string>",
"group_by": [
"<string>"
],
"filters": [
"<string>"
]
}
]
}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
TELEMETRY_SOURCE_UNSPECIFIED, TELEMETRY_SOURCE_TRACES, TELEMETRY_SOURCE_METRICS, TELEMETRY_SOURCE_LOGS Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?